<?
echo "<div class='event'><h1>Магазин</h1></div>";
echo "<div class='content'>";
echo "<div class='block'>";
echo "<span>Здесь вы можете приобрести ключ к погребу<br/>На данный момент у вас $user[pkey] ключей погреба<br/>";
include_once 'smsbillclass.php';
# Подключаем специальный класс SMSBill_getpassword для соединения с сервером билинга
$smsbill = new SMSBill_getpassword();
# Назначаем переменной $smsbill значение класса
$smsbill->setServiceId();
#измените на свой ID. Доступен в Личном кабинете
$smsbill->useEncoding('UTF-8');
# Не меняйте
$smsbill->useHeader('no');
# Не меняйте
$smsbill->useCSS('no');
$smsbill->useLang('ru');
//echo $smsbill->getForm();
$cena=1;
# Сколько баллов давать.
//Вышепредставленных 5 строчек достаточно для полноценной работы скрипта.
if (isset($_REQUEST['smsbill_password'])) {
if (!$smsbill->checkPassword($_REQUEST['smsbill_password'])) {
//введен не верный пароль
echo '<div class="err">Введенный пароль не верный вернитесь назад и попробуйте еще раз</div>';
}else{
mysql_querll("UPDATE `user` SET `bilets` = '". ($user['pkey']+$cena)."' WHERE `id` = '$user[id]' LIMIT 1");
msg('Поздравляем!!! Этим ключом вы открыли погреб!');
}
}else{
//показать платежную форму т.к. пароль еще не был введен
echo $smsbill->getForm();
}
echo "<ul><li><img width='16' height='16' src='img/icons/zkey.png' alt='o'> <a href='?zkeyz'>Магазин ключа эксклюзивного загона</a></li>";
echo "<ul><li><img width='16' height='16' src='img/icons/pkey.png' alt='o'> <a href='?pkey'>Вернуться назад</a></li>";
echo "<ul><li><img width='16' height='16' src='img/icons/center.png' alt='o'> <a href='?center'>Вернуться в город</a></li>";
echo "</ul></div>";
include_once 'inc/foot.php';
?>